Loading...
Searching...
No Matches
gtsam::TriangulationResult Class Reference

## Detailed Description

TriangulationResult is an optional point, along with the reasons why it is invalid.

Inheritance diagram for gtsam::TriangulationResult:

## Public Member Functions

| TriangulationResult ()
| Default constructor, only for serialization.
| TriangulationResult (const Point3 &p)
| Constructor.
bool | valid () const
bool | degenerate () const
bool | outlier () const
bool | farPoint () const
bool | behindCamera () const

## Static Public Member Functions

static TriangulationResult | Degenerate ()
static TriangulationResult | Outlier ()
static TriangulationResult | FarPoint ()
static TriangulationResult | BehindCamera ()

## Public Attributes

Status | status

## Public Types

enum | Status { VALID , DEGENERATE , BEHIND_CAMERA , OUTLIER , FAR_POINT }

## Friends

class | boost::serialization::access
| Serialization function.
std::ostream & | operator<< (std::ostream &os, const TriangulationResult &result)

The documentation for this class was generated from the following file:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/geometry/triangulation.h